# Generated from nifty-0.2.12.gem by gem2rpm -*- rpm-spec -*-
%global gem_name nifty

Name: rubygem-%{gem_name}
Version: 0.2.12
Release: 1%{?dist}
Summary: A tool for uploading and registering cloud appliances in OpenNebula
License: MIT
URL: https://github.com/Misenko/nifty
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(rspec) >= 3.0.0
# BuildRequires: rubygem(rspec) < 3.1
# BuildRequires: rubygem(simplecov) >= 0.9.0
# BuildRequires: rubygem(simplecov) < 0.10
# BuildRequires: rubygem(rubygems-tasks) >= 0.2.4
# BuildRequires: rubygem(rubygems-tasks) < 0.3
# BuildRequires: rubygem(rubocop) >= 0.32
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(forgery) >= 0.6
# BuildRequires: rubygem(forgery) < 1
BuildArch: noarch

%description
A tool for uploading and registering cloud appliances in OpenNebula.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/nifty
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/Dockerfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%{gem_instdir}/schema
%{gem_instdir}/templates
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/nifty.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.2.12-1
- Initial package
